%global _empty_manifest_terminate_build 0
Name:           python-XStatic-Moment-Timezone
Version:        0.5.22.0
Release:        1
Summary:        Moment-Timezone 0.5.22 (XStatic packaging standard)
License:        MIT
URL:            https://github.com/moment/moment-timezone
Source0:        https://files.pythonhosted.org/packages/77/8d/a3a89a0b2b18086b1c7c9c754decefb813715d870df3adcdcf1ca687ff70/XStatic-Moment-Timezone-0.5.22.0.tar.gz
BuildArch:      noarch
%description
XStatic-Moment-Timezone --Moment-Timezone JavaScript library packaged for
setuptools (easy_install) / pip.This package is intended to be used by
any project that needs these files.It intentionally does not provide any
extra code except some metadata nor has any extra requirements. You MAY use
some minimal support code from the XStatic base package, if you like.You can
find more info about the xstatic packaging way in the package XStatic.

%package -n python3-xstatic-moment-timezone
Summary:        Moment-Timezone 0.5.22 (XStatic packaging standard)
Provides:       python-xstatic-moment-timezone
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-xstatic-moment-timezone
XStatic-Moment-Timezone --Moment-Timezone JavaScript library packaged for
setuptools (easy_install) / pip.This package is intended to be used by
any project that needs these files.It intentionally does not provide any
extra code except some metadata nor has any extra requirements. You MAY use
some minimal support code from the XStatic base package, if you like.You can
find more info about the xstatic packaging way in the package XStatic.

%prep
%autosetup -n XStatic-Moment-Timezone-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-xstatic-moment-timezone -f filelist.lst
%doc README.txt
%dir %{python3_sitelib}/*

%changelog
* Thu May 04 2023 OpenStack_SIG <openstack@openeuler.org> - 0.5.22.0-1
- Init package python3-xstatic-moment-timezone of version 0.5.22.0


